import React from 'react';
import { View, Text, Image, TextInput } from 'react-native';

import styles from './index.style'

type Props = {
    image_url:string, drg_drug_cd: string, drg_drug_name: string, price: number, quantity: number
}
const ItemCartProduct = (props: Props) => {

    return (

        <View style={styles.container}>
            <Image style={styles.image} source={{ uri: props.image_url }} />
            <View style={styles.infoContainer}>
                <Text style={styles.textName}>
                    {`${props.drg_drug_cd} - ${props.drg_drug_name}`}
                </Text>
                <Text style={styles.textInfo}>
                    {`Giá: ${props.price} - Số lượng: ${props.quantity} - Tổng: ${props.price*props.quantity} VNĐ`}
                </Text>
            </View>
        </View>
    );
};


export default ItemCartProduct;
