import React from 'react';
import { View, Text, Image, TextInput } from 'react-native';

import styles from './index.style'

type Props = {
    image_url: string
    drg_drug_cd: string, drg_drug_name: string, lot: string, quantity: number, exp_date: string
}
const ItemProduct = (props: Props) => {

    return (
        <View style={styles.container}>
            <Image style={styles.image} source={{ uri: props.image_url }} />
            <View style={styles.infoContainer}>
                <Text style={styles.textName}>
                    {`${props.drg_drug_cd} - ${props.drg_drug_name}`}
                </Text>
                <Text style={styles.textInfo}>
                    {`Lô: ${props.lot} - Số lượng: ${props.quantity} - HSD: ${props.exp_date}`}
                </Text>
            </View>
        </View>
    )
};


export default ItemProduct;
